<?php

class WPML_Rubenz_Elementor_Google_Map extends WPML_Elementor_Module_With_Items {
	/**
	 * @return string
	 */
	public function get_items_field() {
		return 'markers';
	}

	/**
	 * @return array
	 */
	public function get_fields() {
		return array( 'marker_content', 'marker_lat', 'marker_lon' );
	}

	/**
	 * @param string $field
	 *
	 * @return string
	 */
	protected function get_title( $field ) {
		switch ( $field ) {
			case 'marker_content':
				return sprintf( '<strong>%1$s</strong><br>%2$s', esc_html__( 'Google Map', 'rubenz' ), esc_html__( 'Content Box', 'rubenz' ) );

			case 'marker_lat':
				return sprintf( '<strong>%1$s</strong><br>%2$s', esc_html__( 'Google Map', 'rubenz' ), esc_html__( 'Latitude', 'rubenz' ) );

			case 'marker_lon':
				return sprintf( '<strong>%1$s</strong><br>%2$s', esc_html__( 'Google Map', 'rubenz' ), esc_html__( 'Longitude', 'rubenz' ) );

			default:
				return '';
		}
	}

	/**
	 * @param string $field
	 *
	 * @return string
	 */
	protected function get_editor_type( $field ) {
		switch ( $field ) {
			case 'marker_content':
				return 'AREA';

			case 'marker_lat':
				return 'LINE';

			case 'marker_lon':
				return 'LINE';

			default:
				return '';
		}
	}
}
